//
//  File.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 13/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import Foundation

struct Constant {
    struct Event {
        static var login                = "Event.Login"
        static var logout               = "Event.Logout"
        static var openChat             = "Event.OpenChat"
        static var openBook             = "Event.OpenBook"
    }
    
    struct Firebase {
        static var storageUrl           = "gs://gaming-4580a.appspot.com"
        struct Snapshot {
            static var pendingProducts  = "products"
            static var products         = "products/published"
            static var books            = "books"
            static var pendingBooks     = "books/pending"
            static var activeBooks      = "books/active"
            static var finishedBooks    = "books/finished"
            static var users            = "users"
        }
    }
}
