//
//  Message.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 16/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import Foundation
import ObjectMapper

class Message: Mappable {
    var senderId: String    = ""
    var text: String        = ""
    var senderName: String  = ""
    
    public required init?(map: Map) {
    }
    
    func mapping(map: Map) {
        self.senderId       <- map["senderId"]
        self.text           <- map["text"]
        self.senderName     <- map["senderName"]
    }
}
