//
//  Room.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 15/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import Foundation
import ObjectMapper

class Room: Mappable {
    var id: String          = ""
    var book: String        = ""
    var lastMessage: String = ""
    var title: String       = ""
    var timestamp: Int      = 0
    var status: String      = ""
    
    public required init?(map: Map) {
    }
    
    func mapping(map: Map) {
        self.id             <- map["id"]
        self.book           <- map["book"]
        self.status         <- map["status"]
        self.lastMessage    <- map["lastMessage"]
        self.title          <- map["title"]
        self.timestamp      <- map["timestamp"]
    }
}
