//
//  File.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 13/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import Foundation

extension String {    
    
    
    func localize(_ comment: String = "") -> String {
        return NSLocalizedString(self, comment: comment)
    }
    
    func localize(wildcard: String, _ comment: String = "") -> String {
        return String.localizedStringWithFormat(NSLocalizedString(self, comment: comment), wildcard)
    }
}
