//
//  UINavigationController.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 14/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import UIKit

extension UINavigationController {
    func setTranslucentBar() -> Void {
        navigationBar.setBackgroundImage(UIImage(), for: UIBarMetrics.default)
        navigationBar.shadowImage = UIImage()
        navigationBar.isTranslucent = true
        isNavigationBarHidden = false
        view.backgroundColor = UIColor.clear
    }
    
    func hide() {
        setNavigationBarHidden(true, animated: false)
    }
}
